\chapter{Quasi-coherent $\MO_X$-modules}
\section{The $\sim$-Construction}
\begin{notation}
	For $\F$, a sheaf on a topological space $X$ and $U \subset X$ open, we write $\Gamma(U,\F) \coloneqq \F(U)$ and $\Gamma(\F)=\Gamma(X,\F)$.
\end{notation}
\begin{definition}[$\MO_X$-module] 
	Let $(X,\MO_X)$ be a scheme. An \textbf{$\MO_X$-module} on $X$ is a sheaf of abelian groups on $X$ together with an $\MO_X(U)$-module structure on $\F(U)$ for all open $U \subset X$ compatible with the restriction morphisms, i.e. for all open $V \subset U$ the diagram \[\begin{tikzcd}\MO_X(U) \times \F(U) \arrow{r} \arrow{d} & \F(U) \arrow{d} \\
	\MO_X(V) \times \F(V) \arrow{r} & \F(V) \end{tikzcd}\] commutes.
	
	Morphisms of $\MO_X$-modules are morphisms of the sheaves which respect the module structure. 
\end{definition}
\begin{lemma}
	The category of $\MO_X$-modules is abelian, i.e. additive and kernel and cokernel exist and $\ker(\coker(u))=\coker(\ker(u))$ for all $u \colon \F \to \G$.
\end{lemma}
\begin{proof}
	We need to define a $\MO_X$-structure on direct sum, kernel and cokernel (as sheaves of abelian groups) and show that it satisfy the universal properties.
	
	It is clear for the presheaf what cokernel, kernel and direct sums mean. Then take the induced strucutre, e.g. \[ \begin{tikzcd}
		\MO_X \times \coker^{\operatorname{pre}}(u) \arrow{r} \arrow{d} & \coker^{\operatorname{pre}}(u) \arrow{d} \\
		\MO_X \times \coker(u) \arrow[dashed]{r}{\exists !} & \coker(u)
	\end{tikzcd} \] 
	for a map of $\MO_X$-modules $u$.
\end{proof}
	Let $X=\Spec A$ and $M$ be a $A$-module. We define an $\MO_X$-module $\widetilde M$. 
	\begin{itemize}
		\item On basic open subsets define \[\widetilde M(D(f)) = M_f\] for all $f \in A$. 
	\end{itemize}
	\textbf{Claim:} $\widetilde M$ is a sheaf on the basis of basic open subsets of $X$. We let $\widetilde M$ denote the induced sheaf on $X$.
	
	\begin{proof}Same proof as defining $\MO_X$.\end{proof}
	\begin{itemize}
		\item On basic open subsets define $\MO_X$-module structure to be \[\MO_X(D(f)) \times \widetilde M(D(F))=A_f \times M_f \to M_f \,.\] We endow $\widetilde M$ with the induced $\MO_X$-module structure. 
	\end{itemize}
\begin{example}
	Let $A=\C[x]$. Let $M=\C$ with $x$ acting by multiplication by $a \in \C$.
	
	We have \[\widetilde M(D(f)) = M_f = \begin{cases}
	\C, & \text{if }f(a) \neq 0 \iff (x-a) \in D(f) \\
	0, & \text{if }f(a)=0 \iff (x-a) \notin D(f)
	\end{cases}\]
	Therefore, $\widetilde M = i_\ast \underline \C = \C_a$ where $i \colon \Spec \C \to \A_\C^1, \bullet \mapsto (x-a)$
\end{example}
\begin{example}
	$M=A$. Then $\widetilde M(D(f))=A_f=\MO_X(D(f))$. Therefore, $\widetilde A = \MO_X$.
\end{example}
Let $u \colon M \to N$ be an $A$-module homomorphism. Let \[\begin{tikzcd}
M_f \arrow{r}{u_f}  \arrow{d}& N_f \arrow{d} \\
M_g \arrow{r} & N_g
\end{tikzcd}\]
be the localized homomorphism. Note that $D(g) \subset D(f) \iff g^n=fa$ and $M_f \to M_g$ is given by $\frac{m}{f^l} \mapsto \frac{ma^l}{f^{l}a^l}$.
%Mistake on blackboard?
%Note that $D(g) \subset D(f) \iff g=f^na$ and $M_f \to M_g$ is given by $\frac{m}{f^l} \mapsto \frac{m f^{n-l}a}{f^lf^{n-l}a}$.

Let $\widetilde u \colon \widetilde M \to \widetilde N$ be the induced morphism of $\MO_X$-modules (since $u_f$'s commute with restriction maps this is well-defined).
\begin{proposition} \label{cateq}
	The map \begin{align*}
		\Hom_A(M,N) & \longrightarrow \Hom_{\MO_X}(\widetilde M , \widetilde N) \\
		u & \longmapsto \widetilde u
	\end{align*}
	is bijective with inverse $\Gamma(X,-)=\Gamma$. 
\end{proposition}
\begin{proof}
	By construction $\Gamma \circ \sim = \id$.
	
	For $\sim \circ \Gamma = \id$ let $\varphi \colon \widetilde M \to \widetilde N$ be an $\MO_X$-module homomorphism. Let $u=\Gamma(X,\varphi) \colon M \to N$. Consider $\widetilde u \colon \widetilde M \to \widetilde N$. 
	For all $f \in A$ we have that \[\begin{tikzcd}
		M \arrow{r}{u=\Gamma(\varphi)} \arrow{d} & N \arrow{d} \\
		M_f \arrow[yshift=-3,swap]{r}{\res{\varphi}{D(f)}} \arrow[yshift=3]{r}{\res{\widetilde u}{D(f)}} & N_f
	\end{tikzcd} \,.\]
	This diagram of $A$-modules commutes with both, $\res{\varphi}{D(f)}$ and $\res{\widetilde u}{D(f)}$. Therefore, $\res{\varphi}{D(f)}=\res{\widetilde u}{D(f)}$ and finally $\varphi = \widetilde u$.
\end{proof}
\begin{corollary}
	The category of $A$-modules is equivalent to the category of $\MO_X$-modules of the form $\widetilde M$ ($X=\Spec A$ here). We have $\sim \colon A-\operatorname{Mod} \hookrightarrow \MO_X-\operatorname{Mod}$.
\end{corollary}
\begin{lemma}~ \vspace{-\topsep}
	\begin{enumerate}
		\item $M \to N \to P$ exact $\iff$ $\widetilde M \to \widetilde N \to \widetilde P$ exact
		\item Let $u \colon M \to N$ ne an $A$-module homomorphism. Then 
		\begin{itemize}
			\item $\widetilde{\ker(u)}=\ker(\widetilde u)$
			\item $\widetilde{\im(u)}=\im(\widetilde u)$ 
			\item $\widetilde{\coker(u)} = \coker(\widetilde u)$
		\end{itemize}
		\item $\widetilde{\bigoplus_{i \in I} M_i} = \bigoplus_{i \in I} \widetilde M_i$
	\end{enumerate}
\end{lemma}
\begin{proof}~ \vspace{-\topsep}
	\begin{enumerate}
		\item $M \to N \to P$ exact $\iff$ $M_\pid \to N_\pid \to P_\pid$ exact for all $\pid \in \Spec A$ $\iff$ $\widetilde M \to \widetilde N \to \widetilde P$ exact
		\item Apply the first statement to \[\begin{tikzcd}
		0 \arrow{r} & \ker(u) \arrow{r} & M \arrow{r}{u} & N
		\end{tikzcd}\] and get \[\begin{tikzcd}
		0 \arrow{r} & \widetilde{\ker(u)} \arrow{r} & \widetilde M \arrow{r}{\widetilde u} & \widetilde N
		\end{tikzcd}\]
		which leads to $\widetilde{\ker(u)}= \ker(\widetilde u)$. 
		
		The remaining proofs are similar.
		\item Exercise. \qedhere
	\end{enumerate}
\end{proof}
\begin{example} There are $\MO_X$-modules which cannot be described as $\widetilde M$ for some module $M$. Let $A= \C[x]$ with $X=\A_\C^1$. Define \[\F(U) = \begin{cases}
	\MO_X(U), & \text{if } 0 \notin U \\
	0, & \text{if } 0 \in U
	\end{cases} \,.\]
	Now, $\F$ is an $\MO_X$-module but $\Gamma(X,\F) = 0$. So $\F \neq \widetilde{\Gamma(X,\F)}$.
\end{example}
\begin{theorem} \label{theQC}
	Let $X$ be a scheme, $\F$ an $\MO_X$-module. The following are equivalent. 
	\begin{enumerate}
		\item For all open affine $U \subset X$ there exists a $\Gamma(U,\MO_X)$-module $M$ such that $\res{\F}{U} = \widetilde M$
		\item There is an open affine cover $\{U_i\}$ of $X$ such that $\res{\F}{U_i} \cong \widetilde M_i$ for some $\Gamma(U_i, \MO_X)$-module $M_i$.
		\item For all $x \in X$ there exists an open $x \in U \subset X$ and an exact sequence of $\MO_X$-modules \[\begin{tikzcd}
			\res{\MO_X}{U}^{\oplus I} \arrow{r} & \res{\MO_X}{U}^{\oplus J} \arrow{r} & \res{\F}{U} \arrow{r} & 0
		\end{tikzcd}\]
		for some index set $I,J$.
		\item For all open affine $U=\Spec A$ and all $f \in A$ \[\Gamma(U,\F)_f \xrightarrow{\operatorname{res}_f} \Gamma(D(f),\F)\] is an isomorphism. 
	\end{enumerate}
\end{theorem}
\begin{proof}
	
	``$(a) \implies (b)$'': clear.
	
	``$(b) \implies (c)$'': Let $A_i = \Gamma(U_i,\MO_X)=\MO_X(U_i)$. Choose a resolution \[\begin{tikzcd}
	A_i^{\oplus I_i} \arrow{r} & A_i^{\oplus J_i} \arrow{r} & M_i \arrow{r} & 0
	\end{tikzcd}\] (exact). 
	Apply $\sim$ \[\begin{tikzcd}
	\widetilde A_i^{\oplus I_i} \arrow{r} & \widetilde A_i^{\oplus J_i} \arrow{r} & \widetilde M_i \arrow{r} & 0
	\end{tikzcd}\]
	which is exact again and $\widetilde A_i = \res{\MO_X}{U}$. Since $\{U_i\}$ cover $X$ this shows $(c)$.
	
	``$(c) \implies (d)$'': Let $U = \Spec A, f \in A$. We can shrink $U$. There exists $U = \bigcup_{i=1}^m D(g_i)$ for some $g_i \in A$ such that \[\begin{tikzcd}
		\res{\MO_U}{D(g_i)}^{\oplus I_i} \arrow{r}{\alpha_i} & \res{\MO_U}{D(g_i)}^{\oplus J_i} \arrow{r} & \res{\F}{D(g_i)} \arrow{r} & 0 
	\end{tikzcd}\]
	for some $I_i,J_i$.
	Now $\res{\MO_U}{D(g_i)} = \widetilde{A_{g_i}}$ and $\alpha_i = \widetilde a_i$ for some $a_i \colon A_{g_i}^{\oplus I_i} \to A_{g_i}^{\oplus J_i}$ by \Cref{cateq}.
	
	Therefore, $\res{\F}{D(g_i)} = \widetilde{\coker(a_i)}$ (in the $\sim$-category). 
	This implies \[\F(D(g_i) \cap D(f)) = \res{\F}{D(g_i)}(D(\overline f))=\F(D(g_i))_{\overline f}\] where $\overline f$ is the image of $f$ in $A_{g_i}$.
	Therefore we can write $\res{F}{D(g_i)} = \widetilde N$ and $\widetilde{N}(D(\overline f)) = N_{\overline f}$. 
	By the same argument for $D(g_i) \cap D(g_j)$ we have \[\F(D(g_ig_j) \cap D(f)) = \F(D(g_ig_j))_f \,.\]
	We get \[\begin{tikzcd}
		0 \arrow{r} & \F(U)_f \arrow{r} \arrow{d}{\operatorname{res}_f} & \prod_{i=1}^m \F(D(g_i))_f \arrow{d}{\cong} \arrow{r} & \prod_{i \neq j} \F(D(g_ig_j))_f \arrow{d}{\cong} \\
		0 \arrow{r} & \F(D(f)) \arrow{r} & \prod_{i=1}^n \F(D(g_i) \cap D((f)) \arrow{r} & \prod_{i \neq j} \F(D(g_ig_j) \cap D(f))
	\end{tikzcd}\]
	proving the claim. 
	
	``$(d) \implies (a)$'': Let $U = \Spec A$ and $M=\Gamma(U,\F)$. For all $f \in A$ we have \[\begin{tikzcd}
		M \arrow{rr} \arrow{dr} & & \F(D(f)) \\
		& M_f \arrow{ur}{\cong}
	\end{tikzcd}\]
	which gives $\widetilde M \xrightarrow{\cong} \F$ on the basis oben subsets and hence on $X$.
\end{proof}
\begin{definition}[quasi-coherent]
	If one of the conditions from \Cref{theQC} holds, then $\F$ is called \textbf{quasi-coherent}.
\end{definition}
\begin{corollary}~ \vspace{-\topsep}
	\begin{enumerate}
		\item The kernel, cokernel and image of morphisms of quasi-coherent sheaves $\varphi \colon \F \to \G$ are quasi-coherent.
		\item Direct sums of quasi-coherent sheaves are quasi-coherent.
	\end{enumerate}
	In particular, the full subcategory (in $\MO_X$-modules) of the category of quasi-coherent $\MO_X$-modules is abelian.
\end{corollary}
\begin{proof}~ \vspace{-\topsep}
	\begin{enumerate}
		\item Consider \[\begin{tikzcd}
		0 \arrow{r} & \ker(\varphi) \arrow{r} & \F \arrow{r}{\varphi} & \F \arrow{r} & \coker(\varphi) \arrow{r} & 0
		\end{tikzcd}\]
		Restrict to $U = \Spec A$, an open affine. We have $\res{\F}{U} = \widetilde M$ with $M= \Gamma(U, \F)$ and $\res{\G}{U} = \widetilde N$ with $N = \Gamma(U,\G)$. We have $\res{\varphi}{U} = \widetilde a$ for some $a \colon M \to N$ by \Cref{cateq}. This leads to $\res{\ker(\varphi)}{U}\cong\widetilde{\ker(a)}$ and $\res{\coker(\varphi)}{U} \cong\widetilde{\coker(a)}$
		\item Exercise. \qedhere
	\end{enumerate}
\end{proof}
\begin{example}
	Let $X$ be a scheme and $i \colon Z \hookrightarrow X$ be a closed immersion , so $\MO_X \twoheadrightarrow i_\ast \MO_Z$ is surjective. 
	
	Consider the exact sequence \[\begin{tikzcd}
		0 \arrow{r} & J_Z \arrow{r} & \MO_X \arrow{r} & i_\ast \MO_Z \arrow{r} & 0
	\end{tikzcd}\]
	where $J_Z$ is a sheaf of ideals, i.e. an $\MO_X$-submodule of $\MO_X$. 
\end{example}
\begin{proposition}
	Let $J \subset \MO_X$ be a sheaf of ideals. Then $J$ is quasi-coherent $\iff$ $J=J_Z$ for some closed subscheme $Z \subset X$.	
\end{proposition}
\begin{proof} We can assume that $X= \Spec A$ is affine. 
	
	``$\impliedby$''. Let $Z = \Spec(A/I) \subset X$ be a closed subscheme and let $J=J_Z$. For all $f \in A$ we have \[(i_\ast \MO_Z)(D(f)) = \MO_Z(D(\overline f)) = (A/I)_{\overline f} = \widetilde{A/I}(D(f))\] where $\overline f$ is the image of $f$ in $A/I$.
	
	This shows that $i_\ast \MO_Z = \widetilde{A/I}$ on $\Spec A$.
	Since $\MO_X$ and $i_\ast \MO_Z$ are quasicoherent, $J_Z$ is quasicoherent.
	
	``$\implies$'': We have $J = \widetilde I$ for some ideal $I \subset A$. Hence 
	\[\begin{tikzcd}
	0 \arrow{r} & \widetilde I \arrow{r} \arrow{d}{\cong} & \MO_X \arrow{r} & \widetilde{A/I} \arrow{r} & 0 \\
	& J_Z \arrow{ur} 
	\end{tikzcd}\]
	which shows that $J=\widetilde I=J_Z$
\end{proof}